### Method

# EBookContacts SourceBackendSummarySetup get_summary_fields

since: 3.8

#### Declaration [src]

    EContactField*
    e_source_backend_summary_setup_get_summary_fields (
      ESourceBackendSummarySetup* extension,
      gint* n_fields
    )

#### Description [src]

Fetches the `EContactFields` which are configured to be a part of the summary.

If there are no configured summary fields, the default configuration is assumed.

Available since: 3.8

Gets property | `EBookContacts.SourceBackendSummarySetup:summary-fields`

#### Parameters

`n_fields`

  Type: `gint*`

  A return location for the number of `EContactFields` in the returned array.

  The argument will be set by the function.

#### Return value

Type: `EContactField`

An array of `EContactFields` `n_fields` long, should be freed with `g_free()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.